Zydis v4.1.1

Loading...
Searching...
No Matches
ZydisEncoderLookupEntry_ Struct Reference

Used in encoder's primary lookup table which allows to access a set of instruction definitions for specified mnemonic in constant time. More...

`#include <EncoderData.h>`

## Data Fields
ZyanU16 | encoder_reference
| Index to main array of ZydisEncodableInstruction.
ZyanU8 | instruction_count
| The number of entries.

## Detailed Description

Used in encoder's primary lookup table which allows to access a set of instruction definitions for specified mnemonic in constant time.

## Field Documentation

## ◆ encoder_reference

ZyanU16 encoder_reference

Index to main array of ZydisEncodableInstruction.

## ◆ instruction_count

ZyanU8 instruction_count

The number of entries.

The documentation for this struct was generated from the following file:

- include/Zydis/Internal/EncoderData.h